Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.DialogDescriptionConfig Class Reference

## Public Member Functions
| DialogDescriptionConfig ()
| Constructor.
| DialogDescriptionConfig (DialogDescriptionConfig dlg_des_config)
| Constructor, with another dialog description config object. More...
| DialogDescriptionConfig (String name, String first_tab, int width, int height, int char_width, int char_height, String align_children, DialogDescriptionElementArray element_array)
| Constructor, with parameters. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
String | getAlign_children ()
| Get the alignment for all descendants. More...
int | getChar_height ()
| Get the height of the dialog box in characters. More...
int | getChar_width ()
| Get the width of the dialog box in characters. More...
DialogDescriptionElementArray | getElement_array ()
| Get an array of dialog description element array object. More...
String | getFirst_tab ()
| Get an ItemID for the dialog box item that should be first in the tab order. More...
int | getHeight ()
| Get the height of the dialog box in pixels. More...
String | getName ()
| Get the title bar of the dialog box. More...
int | getWidth ()
| Get the width of the dialog box in pixels. More...
void | set (String name, String first_tab, int width, int height, int char_width, int char_height, String align_children, DialogDescriptionElementArray element_array)
| Set values. More...
void | setAlign_children (String value)
| Set the alignment for all descendants. More...
void | setChar_height (int value)
| Set the height of the dialog box in characters. More...
void | setChar_width (int value)
| Set the width of the dialog box in characters. More...
void | setElement_array (DialogDescriptionElementArray value)
| Set an array of dialog description element array object. More...
void | setFirst_tab (String value)
| Set an ItemID for the dialog box item that should be first in the tab order. More...
void | setHeight (int value)
| Set the height of the dialog box in pixels. More...
void | setName (String value)
| Set the title bar of the dialog box. More...
void | setWidth (int value)
| Set the width of the dialog box in pixels. More...

## Detailed Description

This class represents dialog config.

## Constructor & Destructor Documentation

## ◆ DialogDescriptionConfig() [1/2]

com.foxit.sdk.DialogDescriptionConfig.DialogDescriptionConfig | ( | String | name,
|  | String | first_tab,
|  | int | width,
|  | int | height,
|  | int | char_width,
|  | int | char_height,
|  | String | align_children,
|  | DialogDescriptionElementArray | element_array
| ) |  |

Constructor, with parameters.

Parameters

  [in] | name | The title bar of the dialog box.
  [in] | first_tab | An ItemID for the dialog box item that should be first in the tab order.
  [in] | width | The width of the dialog box in pixels.
  [in] | height | The height of the dialog box in pixels.
  [in] | char_width | The width of the dialog box in characters.
  [in] | char_height | The height of the dialog box in characters.
  [in] | align_children | The alignment for all descendants.
  [in] | element_array | An array of dialog description element array object.

## ◆ DialogDescriptionConfig() [2/2]

com.foxit.sdk.DialogDescriptionConfig.DialogDescriptionConfig | ( | DialogDescriptionConfig | dlg_des_config | ) |

Constructor, with another dialog description config object.

Parameters

  [in] | dlg_des_config | Another dialog description config object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.DialogDescriptionConfig.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getAlign_children()

com.foxit.sdk.DialogDescriptionConfig.getAlign_children | ( |  | ) |

Get the alignment for all descendants.

Returns
  The alignment for all descendants.

## ◆ getChar_height()

com.foxit.sdk.DialogDescriptionConfig.getChar_height | ( |  | ) |

Get the height of the dialog box in characters.

If no height is specified, the combined height of the contents is used.

Returns
  The height of the dialog box in characters.

## ◆ getChar_width()

com.foxit.sdk.DialogDescriptionConfig.getChar_width | ( |  | ) |

Get the width of the dialog box in characters.

If no width is specified, the combined width of the contents is used.

Returns
  The width of the dialog box in characters.

## ◆ getElement_array()

com.foxit.sdk.DialogDescriptionConfig.getElement_array | ( |  | ) |

Get an array of dialog description element array object.

Returns
  An array of dialog description element array object.

## ◆ getFirst_tab()

com.foxit.sdk.DialogDescriptionConfig.getFirst_tab | ( |  | ) |

Get an ItemID for the dialog box item that should be first in the tab order.

If no width is specified, the combined width of the contents is used.

Returns
  An ItemID for the dialog box item that should be first in the tab order.

## ◆ getHeight()

com.foxit.sdk.DialogDescriptionConfig.getHeight | ( |  | ) |

Get the height of the dialog box in pixels.

If no height is specified, the combined height of the contents is used.

Returns
  The height of the dialog box in pixels.

## ◆ getName()

com.foxit.sdk.DialogDescriptionConfig.getName | ( |  | ) |

Get the title bar of the dialog box.

Returns
  The title bar of the dialog box.

## ◆ getWidth()

com.foxit.sdk.DialogDescriptionConfig.getWidth | ( |  | ) |

Get the width of the dialog box in pixels.

If no width is specified, the combined width of the contents is used.

Returns
  The width of the dialog box in pixels.

## ◆ set()

void com.foxit.sdk.DialogDescriptionConfig.set | ( | String | name,
|  | String | first_tab,
|  | int | width,
|  | int | height,
|  | int | char_width,
|  | int | char_height,
|  | String | align_children,
|  | DialogDescriptionElementArray | element_array
| ) |  |

Set values.

Parameters

  [in] | name | The title bar of the dialog box.
  [in] | first_tab | An ItemID for the dialog box item that should be first in the tab order.
  [in] | width | The width of the dialog box in pixels.
  [in] | height | The height of the dialog box in pixels.
  [in] | char_width | The width of the dialog box in characters.
  [in] | char_height | The height of the dialog box in characters.
  [in] | align_children | The alignment for all descendants.
  [in] | element_array | An array of dialog description element array object.

Returns
  None.

## ◆ setAlign_children()

com.foxit.sdk.DialogDescriptionConfig.setAlign_children | ( | String | value | ) |

Set the alignment for all descendants.

Parameters

  [in] | value | The alignment for all descendants.

Returns
  None.

## ◆ setChar_height()

com.foxit.sdk.DialogDescriptionConfig.setChar_height | ( | int | value | ) |

Set the height of the dialog box in characters.

If no height is specified, the combined height of the contents is used.

Parameters

  [in] | value | The height of the dialog box in characters.

Returns
  None.

## ◆ setChar_width()

com.foxit.sdk.DialogDescriptionConfig.setChar_width | ( | int | value | ) |

Set the width of the dialog box in characters.

If no width is specified, the combined width of the contents is used.

Parameters

  [in] | value | The width of the dialog box in characters.

Returns
  None.

## ◆ setElement_array()

com.foxit.sdk.DialogDescriptionConfig.setElement_array | ( | DialogDescriptionElementArray | value | ) |

Set an array of dialog description element array object.

Parameters

  [in] | value | An array of dialog description element array object.

Returns
  None.

## ◆ setFirst_tab()

com.foxit.sdk.DialogDescriptionConfig.setFirst_tab | ( | String | value | ) |

Set an ItemID for the dialog box item that should be first in the tab order.

If no width is specified, the combined width of the contents is used.

Parameters

  [in] | value | An ItemID for the dialog box item that should be first in the tab order.

Returns
  None.

## ◆ setHeight()

com.foxit.sdk.DialogDescriptionConfig.setHeight | ( | int | value | ) |

Set the height of the dialog box in pixels.

If no height is specified, the combined height of the contents is used.

Parameters

  [in] | value | The height of the dialog box in pixels.

Returns
  None.

## ◆ setName()

com.foxit.sdk.DialogDescriptionConfig.setName | ( | String | value | ) |

Set the title bar of the dialog box.

Parameters

  [in] | value | The title bar of the dialog box.

Returns
  None.

## ◆ setWidth()

com.foxit.sdk.DialogDescriptionConfig.setWidth | ( | int | value | ) |

Set the width of the dialog box in pixels.

If no width is specified, the combined width of the contents is used.

Parameters

  [in] | value | The width of the dialog box in pixels.

Returns
  None.